# openstack.image.v2.service_info

## The Store Class

The `Store` class inherits from `Resource`.

class openstack.image.v2.service_info.Store(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resources_key = 'stores'

    Plural form of key for resource.

  base_path = '/info/stores'

    The base part of the URI for this resource.

  allow_list = True

    Allow list operation for this resource.

  description

    Description of the store

  is_default

    default

  properties

    properties

  delete_image(session, image, *, ignore_missing=False)

    Delete image from store

    Parameters:

      - session – The session to use for making this request.

      - image – The value can be either the ID of an image or a `Image` instance.

    Returns:

      The result of the `delete` if resource found, else None.

    Raises:

      `NotFoundException` when ignore_missing if `False` and a nonexistent resource is attempted to be deleted.

## The Import Info Class

The `Import` class inherits from `Resource`.

class openstack.image.v2.service_info.Import(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  base_path = '/info/import'

    The base part of the URI for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  import_methods

    import methods

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.